package com.muyu.common.cache;

/**
 * 主键基础
 */
public interface PrimaryKeyBasic<K> {

    /**
     * 主键前缀
     * @return
     */
    public String keyPre();


    /**
     * 编码
     * @param key
     * @return
     */
    public default String encode(K key){
        return keyPre() + key.toString();
    }

    /**
     * 解码
     * @param key
     * @return 解码后的key
     */
    public K decode(String key);
}
